package com.lemon.config;

import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;

/**
 * @description: 启动类
 *
 * @author: huwei
 * @dateTime: 2023/5/24 14:12
 */
@SpringBootApplication
public class AskBooksApplication {
	public static void main(String[] args) {
		// 定义Nacos相关目录，即当前项目运行所在目录，会自动建nacos目录
		System.setProperty("JM.LOG.PATH", ".");
		System.setProperty("JM.SNAPSHOT.PATH", ".");

		new SpringApplicationBuilder(AskBooksApplication.class).build(args).run(args);
	}
}
